WPS8GraphInternal::Border Struct Reference

Internal: a complex border picture. More...

## Public Member Functions
| Border ()
| constructor

## Public Attributes
std::string | m_name
| Internal: the border name.
int | m_borderSize [3]
| three value to stored the border's sizes
int | m_borderId [8]
| the picture uses to draw TopLeft corner, Top border, TopRight corner, Right border...
std::vector< WPSEmbeddedObject > | m_pictList
| the border's pictures: 1 to 8 pictures..
bool | m_parsed
| flag to know if the border was sent to the listener

## Detailed Description

Internal: a complex border picture.

It consists in series of at most 8 pictures which forms the border

## Constructor & Destructor Documentation

## ◆ Border()

WPS8GraphInternal::Border::Border | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_borderId

int WPS8GraphInternal::Border::m_borderId[8]

the picture uses to draw TopLeft corner, Top border, TopRight corner, Right border...

Referenced by Border(), and WPS8Graph::readBDR().

## ◆ m_borderSize

int WPS8GraphInternal::Border::m_borderSize[3]

three value to stored the border's sizes

Checkme: corner size, following by horizontal, vertical size in points?

Referenced by Border(), and WPS8Graph::readBDR().

## ◆ m_name

std::string WPS8GraphInternal::Border::m_name

Internal: the border name.

Referenced by Border(), and WPS8Graph::readBDR().

## ◆ m_parsed

bool WPS8GraphInternal::Border::m_parsed

flag to know if the border was sent to the listener

Referenced by Border().

## ◆ m_pictList

std::vector<WPSEmbeddedObject> WPS8GraphInternal::Border::m_pictList

the border's pictures: 1 to 8 pictures..

Referenced by Border(), and WPS8Graph::readBDR().

The documentation for this struct was generated from the following file:

- WPS8Graph.cpp